Subject: Re: [ANNOUNCEMENT] OpenSSH-2.1.1p4 for Cygwin 1.1.3
From: James Dumser <[email-masked]>
To: cygwin <[email-masked]>
Date: Wed, 02 Aug 2000 14:50:50 -0500

On Wed, 02 Aug 2000 18:04:01 +0200, Corinna Vinschen wrote:
>>From your README:
>>> - If you are installing OpenSSH the first time, you can generate
>>>   server keys and your own user keys by running
>>>
>>>          /usr/local/bin/ssh-config
>>
>> Actually, it's not the first time; but it wasn't working before. I
>> removed /usr/local/etc/ssh_host* files, renamed my ~/.ssh, and ran
>> ssh-config. BTW, it would be nice if ssh-config created ~/.ssh if it
>> didn't exist.
> 
> ssh-keygen creates .ssh by itself.

But it didn't. At first it complained about not being able to write to
//.ssh/identity; I modified ssh-config to make sure the // wasn't
messing it up, but it still reported it couldn't create it.

  bash-2.04$ ssh-keygen -f "${HOME}/.ssh/identity"
  Generating RSA keys:  ......................ooooooO.....ooooooO
  Key generation complete.
  Enter passphrase (empty for no passphrase): 
  Enter same passphrase again: 
  Saving the key failed: //.ssh/identity: No such host or network path.
  bash-2.04$ ssh-keygen -f "/.ssh/identity"
  Generating RSA keys:   
.......................................ooooooO........ooooooO
  Key generation complete.
  Enter passphrase (empty for no passphrase): 
  Enter same passphrase again: 
  Saving the key failed: /.ssh/identity: No such file or directory.

>> When I try to ssh to itself, I get
>>   debug: ssh_exchange_identification: sshd: no hostkeys available --
>>          exiting.
> 
> From the sources I can see exactliy three possible reasons:
> - v1.X protocol: Problem with rsa.
> - v1.X protocol: No ssh_host_key file.
> - v2 protocol: No ssh_dsa_host_key file.
> 
> Try `sshd -d' from the command line. This might give you a hint.

Okay. A log file is attached. Since I was trying with your ssh (v2), it
appears it must be the ssh_dsa_host_key file, but ...

  bash-2.04$ ls /usr/local/etc
  ssh_config            ssh_host_key          ssh_known_hosts
  ssh_host_dsa_key      ssh_host_key.pub      sshd_config
  ssh_host_dsa_key.pub

I also just tried renaming the dsa files as you state above (dsa_host
rather than host_dsa as in ssh-config), but that doesn't help either.

-- 
James Dumser  [email-masked]

sshd -d (inet not running)
==========================

bash-2.04$ /usr/local/sbin/sshd -d
debug: sshd version OpenSSH_2.1.1
debug: Seeding random number generator
debug: read DSA private key done
debug: Seeding random number generator
debug: Bind to port 22 on 0.0.0.0.
Server listening on 0.0.0.0 port 22.
Generating 768 bit RSA key.
debug: Seeding random number generator
debug: Seeding random number generator
RSA key generation complete.

[ ssh -l Administrator row2pc (Solaris: SSH Version 1.2.26 [sparc-sun-solaris2.6], protocol version 1.5.  Standard version.  Does not use RSAREF.) ]
debug: Server will not fork when running in debugging mode.
Connection from 138.85.32.116 port 1021
debug: Client protocol version 1.5; client software version 1.2.26
debug: Local version string SSH-1.99-OpenSSH_2.1.1
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: 3des
debug: Received session key; encryption turned on.
debug: Installing crc compensation attack detector.
debug: Attempting authentication for administrator.
Accepted password for administrator from 138.85.32.116 port 1021
debug: session_new: init
debug: session_new: session 0
debug: Allocating pty.
debug: Ignoring unsupported tty mode opcode 11 (0xb)
debug: Ignoring unsupported tty mode opcode 16 (0x10)
debug: Ignoring unsupported tty mode opcode 52 (0x34)
debug: Ignoring unsupported tty mode opcode 62 (0x3e)
lastlog_perform_login: Couldn't stat /var/log/lastlog: No such file or directory
lastlog_openseek: /var/log/lastlog is not a file or directory!
debug: Entering interactive session.
debug: no set_nonblock for tty fd 3
debug: no set_nonblock for tty fd 7
debug: server_init_dispatch_13
debug: server_init_dispatch_15

[ exit client ]
debug: Received SIGCHLD.
debug: End of interactive session; stdin 1, stdout (read 1193, sent 1193), stderr 0 bytes.
debug: Command exited with status 0.
debug: Received exit confirmation.
debug: session_pty_cleanup: session 0 release /dev/tty1
Attempt to write login records by non-root user (aborting)
Closing connection to 138.85.32.116

[ ssh row2pc (cygwin: SSH Version OpenSSH_2.1.1, protocol versions 1.5/2.0. Compiled with SSL (0x00905100).) ]
debug: Server will not fork when running in debugging mode.
Connection from 138.85.206.115 port 3689
debug: Client protocol version 1.5; client software version OpenSSH_2.1.1
debug: Local version string SSH-1.99-OpenSSH_2.1.1
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: 3des
debug: Received session key; encryption turned on.
debug: Installing crc compensation attack detector.
debug: Attempting authentication for administrator.
Accepted password for administrator from 138.85.206.115 port 3689
debug: session_new: init
debug: session_new: session 0
debug: Allocating pty.
lastlog_perform_login: Couldn't stat /var/log/lastlog: No such file or directory
lastlog_openseek: /var/log/lastlog is not a file or directory!
debug: Entering interactive session.
debug: no set_nonblock for tty fd 3
debug: no set_nonblock for tty fd 7
debug: server_init_dispatch_13
debug: server_init_dispatch_15

[ exit client ]
debug: Received SIGCHLD.
debug: End of interactive session; stdin 76, stdout (read 1479, sent 1479), stderr 0 bytes.
debug: Command exited with status 0.
debug: Received exit confirmation.
debug: session_pty_cleanup: session 0 release /dev/tty2
Attempt to write login records by non-root user (aborting)
Closing connection to 138.85.206.115

[ restart inetd (output from client) ]
bash-2.04$ ssh -v row2pc
SSH Version OpenSSH_2.1.1, protocol versions 1.5/2.0.
Compiled with SSL (0x00905100).
debug: Reading configuration data /usr/local/etc/ssh_config
debug: Applying options for *
debug: Seeding random number generator
debug: ssh_connect: getuid 500 geteuid 500 anon 1
debug: Connecting to row2pc [138.85.206.115] port 22.
debug: Connection established.
debug: ssh_exchange_identification: sshd: no hostkeys available -- exiting.

ssh_exchange_identification: Connection closed by remote host
debug: Calling cleanup 0x41319c(0x0)

--
Want to unsubscribe from this list?
Send a message to [email-masked]